<div class="content">
  <p>
    Howdy! Here's a list of awesome computer scientists. Do you know any others? Add to the list yourself.
  </p>

  <form (submit)="addName()">
    <input [(ngModel)]="newName" name="newName" placeholder="Awesome Computer Scientist">
    <button type="submit">Add</button>
  </form>

  <ul>
    <li *ngFor="let name of names">{{name}}</li>
  </ul>
</div>
